<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: theme_functions_include.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

function auth_news($info,$sep = "",$class = "") {
	global $locale;
	$res = "";
	$link_class = $class ? " class='$class' " : "";
	$res = "Dodane: ".showdate("%d %b %y", $info['news_date']);
	$res .= " przez <a class='side' href='profile.php?lookup=".$info['user_id']."'".$link_class.">".$info['user_name']."</a> ";
	$res .= $info['news_ext'] == "y" || $info['news_allow_comments'] ? "\n" : "\n";
	return "<!--news_poster-->".$res;
}


function readmore_news($info, $sep, $class = "") {
	global $locale; $res = "";
	$link_class = $class ? " class='$class' " : "";
	if (!isset($_GET['readmore']) && $info['news_ext'] == "y") $res = "<a href='news.php?readmore=".$info['news_id']."'".$link_class.">".$locale['global_072']."</a> ".$sep." ";
	if ($info['news_ext'] == "y" || $info['news_allow_comments']) $res .= $info['news_reads'].$locale['global_074']."\n";
	return "<!--news_opts-->".$res;
}

function com_news($info,$sep = "",$class = "") {
	global $locale;
	$res = "";
	$link_class = $class ? " class='$class' " : "";
	if ($info['news_allow_comments']) $res .= " | ".$link_class.$info['news_comments'].($info['news_comments'] == 1 ? $locale['global_073b'] : $locale['global_073']).$sep." ";
	return "<!--news_poster-->".$res;
}

function sublinks($sep = "&middot;", $class = "") {
	$sres = dbquery(
		"SELECT link_window, link_visibility, link_url, link_name FROM ".DB_SITE_LINKS."
		WHERE ".groupaccess('link_visibility')." AND link_position>='2' AND link_url!='---' ORDER BY link_order ASC"
	);
	if(dbrows($sres)) {
		$i = 0;
		$res = "<ul>\n";
		while ($sdata = dbarray($sres)) {
			$link_target = $sdata['link_window'] == "1" ? " target='_blank'" : "";
			$li_class = ($i == 0 ? " class='first-link".($class ? " $class" : "")."'" : ($class ? " class='$class'" : ""));
			if (strstr($sdata['link_url'], "http://") || strstr($sdata['link_url'], "https://")) {
				$res .= "".$sep."<a class='sublink' href='".$sdata['link_url']."'$link_target>".$sdata['link_name']."</a>\n";
			} else {
				$res .= "".$sep."<a class='sublink' href='".BASEDIR.$sdata['link_url']."'$link_target>".$sdata['link_name']."</a>\n";
			}
			$i++;
		}
		$res .= "</ul>\n";
		return $res;
	}
}

?>